type sopil;

Const
	N = 1000;
	lambda = 0.01;
	sigma = 2;
	ro = 10;
	rate = 0.002;
	alpha = 0.5;

State
	a: 0 To N;
	@M;

Matrix Q
	a>0: [a]->[a-1] = a*lambda;
	[a]->[@M] = sigma;
	a==N: [@M]->[a] = ro;
Vector R
	[a] = a*rate;
	[@M] = 0;
Vector S
	[a] = 0;
	[@M] = 0;
Vector Alpha
	[a] = 0.5;
	[@M] = 1;
Vector P0
	[N] = 1;
