type so;

Const
	alma = 1;
	lambdah = 3e-5;
	ch = 0.98;
	lambdasp = 1e-3;
	cs = 0.9;
	lambdass = 1e-4;
	muhr = 0.5;
	muusr = 0.1;
	mucsr = 0.5;

State
	@S1; @S2; @S3; @S4; @S5; @S6;
	@S7; @S8; @S9; @S10; @A;

Matrix Q
	[@S1]->[@S3] = lambdasp * cs;	
	[@S1]->[@S4] = lambdasp * (1-cs);	
	[@S1]->[@S6] = 2 * lambdah * (1-ch);	
	[@S1]->[@S9] = 2 * lambdah * ch;
	[@S2]->[@S1] =  muusr;
	[@S3]->[@S1] = mucsr;
	[@S3]->[@S2] = lambdass;
	[@S3]->[@S5] = 2 * lambdah * (1-ch);
	[@S3]->[@S8] = 2 * lambdah * ch;
	[@S4]->[@S1] = muusr;
	[@S5]->[@S8] = muhr;
	[@S6]->[@S9] = muhr;
	[@S7]->[@S9] = muusr;
	[@S8]->[@S7] = lambdass;
	[@S8]->[@S9] = mucsr;
	[@S8]->[@A] = lambdah;
	[@S9]->[@S8] = lambdasp * cs;
	[@S9]->[@S10] = lambdasp * (1-cs);
	[@S9]->[@A] = lambdah;
	[@S10]->[@S9] = muusr;

Vector R
	[@S1] = 1;
	[@S9] = 1;
	[@S3] = -25;
	[@S8] = -25;
	[@S2] = -250;
	[@S4] = -250;
	[@S5] = -250;
	[@S6] = -250;
	[@S7] = -250;
	[@S10] = -250;

Vector S
	[@S1] = 0;
	[@S2] = 0;
	[@S3] = 0;
	[@S4] = 0;
	[@S5] = 0;
	[@S6] = 0;
	[@S7] = 0;
	[@S8] = 0;
	[@S9] = 0;
	[@S10] = 0;

Vector P0
	[@S1] = 1;
